update.
authortomo <tomo>
Thu, 23 Jun 2005 23:18:05 +0000 (23:18 +0000)
committertomo <tomo>
Thu, 23 Jun 2005 23:18:05 +0000 (23:18 +0000)
configure

index f841965..1acd2cf 100755 (executable)
--- a/configure
+++ b/configure
@@ -1,6 +1,6 @@
 #! /bin/sh
 # Guess values for system-dependent variables and create Makefiles.
-# Generated by GNU Autoconf 2.59 for libchise 0.3.0.
+# Generated by GNU Autoconf 2.59 for libchise 0.4.0.
 #
 # Report bugs to <chise-en@m17n.org>.
 #
@@ -423,8 +423,8 @@ SHELL=${CONFIG_SHELL-/bin/sh}
 # Identity of this package.
 PACKAGE_NAME='libchise'
 PACKAGE_TARNAME='libchise'
-PACKAGE_VERSION='0.3.0'
-PACKAGE_STRING='libchise 0.3.0'
+PACKAGE_VERSION='0.4.0'
+PACKAGE_STRING='libchise 0.4.0'
 PACKAGE_BUGREPORT='chise-en@m17n.org'
 
 ac_unique_file="chise.c"
@@ -954,7 +954,7 @@ if test "$ac_init_help" = "long"; then
   # Omit some internal or obsolete options to make the list less imposing.
   # This message is too long to be a string in the A/UX 3.1 sh.
   cat <<_ACEOF
-\`configure' configures libchise 0.3.0 to adapt to many kinds of systems.
+\`configure' configures libchise 0.4.0 to adapt to many kinds of systems.
 
 Usage: $0 [OPTION]... [VAR=VALUE]...
 
@@ -1016,7 +1016,7 @@ fi
 
 if test -n "$ac_init_help"; then
   case $ac_init_help in
-     short | recursive ) echo "Configuration of libchise 0.3.0:";;
+     short | recursive ) echo "Configuration of libchise 0.4.0:";;
    esac
   cat <<\_ACEOF
 
@@ -1153,7 +1153,7 @@ fi
 test -n "$ac_init_help" && exit 0
 if $ac_init_version; then
   cat <<\_ACEOF
-libchise configure 0.3.0
+libchise configure 0.4.0
 generated by GNU Autoconf 2.59
 
 Copyright (C) 2003 Free Software Foundation, Inc.
@@ -1167,7 +1167,7 @@ cat >&5 <<_ACEOF
 This file contains any messages produced by compilers while
 running configure, to aid debugging if configure makes a mistake.
 
-It was created by libchise $as_me 0.3.0, which was
+It was created by libchise $as_me 0.4.0, which was
 generated by GNU Autoconf 2.59.  Invocation command line was
 
   $ $0 $@
@@ -18373,13 +18373,92 @@ LIBTOOL='$(SHELL) $(top_builddir)/libtool'
 # Checks for libraries.
 if test -f /sw/include/db3/db.h; then
        CFLAGS="-I/sw/include/db3 $CFLAGS"
-       LIBS="-L/sw/lib -ldb-3 $LIBS"
+#      LIBS="-L/sw/lib -ldb-3 $LIBS"
 elif test -f /sw/include/db4/db.h; then
        CFLAGS="-I/sw/include/db4 $CFLAGS"
-       LIBS="-L/sw/lib -ldb-4 $LIBS"
+#      LIBS="-L/sw/lib -ldb-4 $LIBS"
+#else
+#      LIBS="-ldb $LIBS"
+fi
+#LIBS="-lconcord $LIBS"
+
+echo "$as_me:$LINENO: checking for concord_open_ds in -lconcord" >&5
+echo $ECHO_N "checking for concord_open_ds in -lconcord... $ECHO_C" >&6
+if test "${ac_cv_lib_concord_concord_open_ds+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
 else
-       LIBS="-ldb $LIBS"
+  ac_check_lib_save_LIBS=$LIBS
+LIBS="-lconcord  $LIBS"
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+
+/* Override any gcc2 internal prototype to avoid an error.  */
+#ifdef __cplusplus
+extern "C"
+#endif
+/* We use char because int might match the return type of a gcc2
+   builtin and then its argument prototype would still apply.  */
+char concord_open_ds ();
+int
+main ()
+{
+concord_open_ds ();
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
+  (eval $ac_link) 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+        { ac_try='test -z "$ac_c_werror_flag"
+                        || test ! -s conftest.err'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; } &&
+        { ac_try='test -s conftest$ac_exeext'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  ac_cv_lib_concord_concord_open_ds=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+ac_cv_lib_concord_concord_open_ds=no
+fi
+rm -f conftest.err conftest.$ac_objext \
+      conftest$ac_exeext conftest.$ac_ext
+LIBS=$ac_check_lib_save_LIBS
 fi
+echo "$as_me:$LINENO: result: $ac_cv_lib_concord_concord_open_ds" >&5
+echo "${ECHO_T}$ac_cv_lib_concord_concord_open_ds" >&6
+if test $ac_cv_lib_concord_concord_open_ds = yes; then
+  cat >>confdefs.h <<_ACEOF
+#define HAVE_LIBCONCORD 1
+_ACEOF
+
+  LIBS="-lconcord $LIBS"
+
+else
+  { { echo "$as_me:$LINENO: error: libconcord is not found." >&5
+echo "$as_me: error: libconcord is not found." >&2;}
+   { (exit 1); exit 1; }; }
+fi
+
 
 # Checks for header files.
 
@@ -19463,7 +19542,7 @@ _ASBOX
 } >&5
 cat >&5 <<_CSEOF
 
-This file was extended by libchise $as_me 0.3.0, which was
+This file was extended by libchise $as_me 0.4.0, which was
 generated by GNU Autoconf 2.59.  Invocation command line was
 
   CONFIG_FILES    = $CONFIG_FILES
@@ -19523,7 +19602,7 @@ _ACEOF
 
 cat >>$CONFIG_STATUS <<_ACEOF
 ac_cs_version="\\
-libchise config.status 0.3.0
+libchise config.status 0.4.0
 configured by $0, generated by GNU Autoconf 2.59,
   with options \\"`echo "$ac_configure_args" | sed 's/[\\""\`\$]/\\\\&/g'`\\"